> ## Name

> cgGetStateName - get a state's name

> ## Synopsis

>     #include <Cg/cg.h>

>     const char * cgGetStateName( CGstate state );

> ## Parameters

> state
>   The state.

> ## Return Values

> Returns the null-terminated name string for the state.

> Returns NULL if state is invalid.

> ## Description

> cgGetStateName allows the application to retrieve the name of a state defined in a Cg context. This name can be used later to retrieve the state from the context using cgGetNamedState.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_STATE_HANDLE_ERROR is generated if state is not a valid state.

> ## History

> cgGetStateName was introduced in Cg 1.4.

> ## See Also

> cgGetNamedState, cgGetFirstState, cgGetNextState